Summary:	OSS (Open Sound System) Proxy Daemon
Name:		ossp
Version:	1.3.2
Release:	5
License:	GPLv2+
Group:		Sound
Url:		http://sourceforge.net/projects/osspd/
Source0:	%{name}-%{version}.tar.gz
Patch0:		0001-Add-a-very-simple-systemd-unit.patch
Patch1:		0002-udev-Rename-udev-rules-and-add-uaccess-udev-acl-tags.patch
Patch2:		ossp-1.3.2-fix-build-lrt.patch
Patch3:		ossp-1.3.2-sfmt.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(libpulse)
Requires(post,preun): rpm-helper >= 0.24.1
Suggests:	pulseaudio

%description
OSS Proxy Daemon is Linux userland OSS sound device (/dev/[a]dsp
and /dev/mixer) implementation using CUSE. Currently it supports
forwarding OSS sound streams to PulseAudio and ALSA.

%files
%doc README
%{_sbindir}/ossp*
/lib/udev/rules.d/70-osscuse.rules
%{_sysconfdir}/modprobe.preload.d/%{name}.conf
/lib/systemd/system/osspd.service
/lib/systemd/system/sound.target.wants/osspd.service

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i 's,/usr/local,%{_prefix},' Makefile
sed -i 's,/etc/udev/rules.d,/lib/udev/rules.d,' Makefile

%build
%setup_compile_flags
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/modprobe.preload.d
echo "cuse" >%{buildroot}%{_sysconfdir}/modprobe.preload.d/%{name}.conf

%post
if [ "$1" -eq "1" ] ; then
    # Initial installation
    modprobe cuse
fi

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.3.2-5
+ Revision: 61d040b
- MassBuild#440: Increase release tag


